// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <stdint.h>
#include "../primitive.h"

void quadBuffer(primitive_t *primitive,
  float x0, float y0, float u0, float v0,
  float x1, float y1, float u1, float v1,
  int32_t verticeStart, int32_t indiceStart
);

primitive_t * quadCreate(
  float x0, float y0, float u0, float v0,
  float x1, float y1, float u1, float v1
);