/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "world.h"

world_t * worldCreate() {
  world_t *world = malloc(sizeof(world_t));
  if(world == NULL) return NULL;

  world->chunkList = chunkListCreate(3, 3, 1);
  if(world->chunkList == NULL) {
    free(world);
    return NULL;
  }

  return world;
}

void worldDispose(world_t *world) {
  free(world);
}